-- ENDOR 批单业务数据

ENDOR
ENDOR_PLPENDORSE
ENDOR_PLPENDORSE_PLPCOMMISSIONDETAIL
ENDOR_PLCSOLUTION
ENDOR_PLCSOLUTION_PLCCOINS
ENDOR_PLCSOLUTION_PLCCOINS_PLCCOINSBASICINFORMATION
ENDOR_PLCSOLUTION_PLCCOINS_PLCRATION
ENDOR_PLCSOLUTION_PLCCOINS_PLCCOMMISSIONDETAIL
PLCCAR05
PLCAPPLICANT
PLCPUBLICINSURANT

来源：
(
	endorseNo           String ,                        -- 1 批单号
	businessOffice      String ,                        -- 新核心车险批单-保单归属机构代码
	productCode         String ,                        -- 新核心车险批单-险种代码
    businessNatureCode  String ,                        -- 新核心车险批单-业务来源
	channelType         String ,    					-- 5 渠道类型
	uwConclueDate       String ,                        -- 6 核批完成时间
	plpEndorse   row(
	     endorseEffectiveTime          Stirng ,					 -- 7 批单生效日期
	     sigAndStaExchangeRate         String ,					 -- 8 到人民币汇率 除了粤港车，车险没有存汇率，模型默认0
		 staCurAmountVariation         String ,                  -- 10 变化保险金额
		 staCurPremiumVariation        String ,                  -- 11 不含税变化保险费
	     staCurNetPremiumVariation     String ,                  -- 12 含税变化保险费
		 staCurTaxFeeVariation         String ,                  -- 13 税
		 netPremiumVariation           String ,                  -- 保费变化量
		 plpCommissionDetail   array<row(
		      agentFeeVariation       String ,                         -- 16 份额含税手续费变化量
			  agentNetFeeVariation    String                           -- 17 份额不含税手续费变化量
		)>
	),
    plcSolution  array<row(
		 plcCoins    row(                                --String类型 该对象部分参数在某些数据中可能不存在 自定义函数 JsonValuUDF读取
		     plcCoinsBasicInformation array<row(
		         coinsRate                                 -- 非车险共保比例
                 coinsIdentity                             -- 共保我方标记 = 1 时共保我方
		     )>
		 ),
		  "PlcRation": row(
            artifSelfPricesRat      String,                       -- 新核心车险批单-自主定价系数
            artifReviewPrem         String,                       -- 新核心车险批单-总保费
        ),
        "plcCommissionDetail": array<row(
            agentFee                String,                       -- 新核心车险批单-手续费含税金额
            agentNetFee             String,                       -- 新核心车险批单-手续费不含税金额
        )>,
    )>,
	recordClerkCode     String ,                     -- 14 归属业务员ID
	recordClerkName     String ,                     -- 15 归属业务员名称
	businessChannelCode String ,                     -- 27 新核心车险批单-清分后渠道
	businessChannelName String ,                     -- 28 业务渠道名
    newPolicyFlag       String ,                     -- 20 新核心车险批单-新保标识 1:是，0：否
	autoTransrenewFlag  String ,                     -- 21 新核心车险批单-自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag  String ,                     -- 22 新核心车险批单-转保标识1:是，0：否
	transrenewFlag      String,                       -- 23 新核心车险批单-续保标识 1:是，4：跨险种续保，0：否
	policyNo            String,                       -- 新核心车险批单-保单号
	policyCreatDate     String,                       -- 新核心车险批单-核保通过时间
	businessOfficeName  String,                       -- 新核心车险批单-保单归属机构名称
	startTime           String,                       -- 新核心车险批单-起保时间
	endTime             String,                       -- 新核心车险批单-终保时间
	netPremium          String,                       -- 新核心车险批单-不含税保费
	premium              String,                      -- 新核心车险批单-含税保费
	"plcCar05": row(
	    licensePlateNo      String,                       -- 新核心车险批单-车牌号
	    frameNo             String,                       -- 新核心车险批单-车架号
	    vehicleId           String,                       -- 新核心车险批单-车型
	    newVehicleFlag      String,                       -- 新核心车险批单-新车标识
	    carUserNatureCode   String,                       -- 新核心车险批单-车辆使用性质
	    carKindCode         String,                       -- 新核心车险批单-车辆种类
	),
	"plcApplicant": array<row(
	    customerName    String,                       -- 新核心车险批单-投保人名称
	  )>,
	"plcPublicInsurant": array<row(
	    customerName    String,                       -- 新核心车险批单-被保人名称
	)>,
	saleaman            String,                       -- 新核心车险批单-代理机构代码
	saleamanName        String,                       -- 新核心车险批单-代理机构名称
	policySort          String,                       -- 新核心车险批单-代理机构名称
)





